# YieldAwaitable.Awaiter Struct | UniTask

Show / Hide Table of Contents

# YieldAwaitable.Awaiter Struct

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public readonly struct Awaiter

##### Implements

ICriticalNotifyCompletion

### Members

#### Constructors

Name | Description
--- | ---
Awaiter(PlayerLoopTiming) |

#### Properties

Name | Description
--- | ---
IsCompleted |

#### Methods

Name | Description
--- | ---
GetResult() |
OnCompleted(Action) |
UnsafeOnCompleted(Action) |

### Constructors

#### Awaiter(PlayerLoopTiming)

    public Awaiter(PlayerLoopTiming timing)

##### Parameters

`timing` PlayerLoopTiming

### Properties

#### IsCompleted

    public readonly bool IsCompleted { get; }

##### Property Value

System.Boolean

### Methods

#### GetResult()

    public readonly void GetResult()

#### OnCompleted(Action)

    public readonly void OnCompleted(Action continuation)

##### Parameters

`continuation` System.Action

#### UnsafeOnCompleted(Action)

    public readonly void UnsafeOnCompleted(Action continuation)

##### Parameters

`continuation` System.Action

### Implements

ICriticalNotifyCompletion